<?php
/*
Plugin Name: Graf's Frame
Plugin URI: http://thexnews.com/
Description: This plugin adds page with custom frame to your dashboard. You can use it for viewing Liveinternet.ru or any another statistics inside Wordpress admin panel. For support visit <a href="http://thexnews.com">theXnews.com</a>.
Author: <a href="http://thexnews.com">Dmitry Graf</a>
Version: 1.0
*/

function grafs_frame_init(){
if (get_option("grafs_frame_0_adress")=="") {echo '<br/><p style="text-align:center"><b>Please navigate to "Options" -> "Graf\'s Frame", then set up this plugin!</b></p><br/>';}
else {echo "<iframe id='grafs_frame' frameborder='0' style='width:100%; height:".get_option("grafs_frame_0_height")."px' src='".get_option("grafs_frame_0_adress")."'></iframe>";}
}

function grafs_frame_admin_init()
 {
  if (isset($_POST['submitted'])){ 
    update_option("grafs_frame_0_adress", $_POST['adr']);
    update_option("grafs_frame_0_name", $_POST['gname']);
    update_option("grafs_frame_0_height", $_POST['height']);
    update_option("grafs_frame_footer_text", stripslashes($_POST['footer_text']));
    echo "<div id=\"message\" class=\"updated fade\"><p><strong>Options updated.</strong></p></div>";
    }
?>
<div class="wrap">
<h2>Graf's Frame</h2>This plugin adds page with custom frame to your dashboard. You can use it for viewing Liveinternet.ru or any another statistics inside Wordpress admin panel. For support visit <a href="http://thexnews.com">theXnews.com</a>.<br/><br/><a href="http://thexnews.com/?p=74"><b>Help >></b></a>

<form method="post" name="options" target="_self">
<fieldset class="options">
<table class="optiontable"> 
<tr valign="top"> 
<th scope="row">Name:</th> 
<td>
<input name='gname' type='text' value="<? echo get_option("grafs_frame_0_name"); ?>"/><br/>
Name for tab in dashboard "<i>Liveinternet.ru Stats</i>"
</td> 
</tr>
<tr valign="top"> 
<th scope="row">Statistics adress:</th> 
<td>
<input name='adr' type='text' style="width: 95%" value='<? echo get_option("grafs_frame_0_adress"); ?>'/><br/>
Something like "<i>http://www.liveinternet.ru/stat/thexnews.com/index.html</i>"
</td> 
</tr>
<tr valign="top"> 
<th scope="row">Frame height:</th> 
<td>
<input name='height' type='text' size="2" value='<? echo get_option("grafs_frame_0_height"); ?>'/>px<br/>
Frame height in pixels. Default "2500".
</td> 
</tr>
<tr valign="top"> 
<th scope="row">Counter code:</th> 
<td>
<textarea name='footer_text' rows="3" cols="50"><? echo get_option("grafs_frame_footer_text"); ?></textarea><br/>
Will be executed after each page.
</td> 
</tr>
</table>

<p class="submit">
<input name="submitted" type="hidden" value="yes" />
<input type="submit" name="Submit" value="Update Options &raquo;" />
</p>
</fieldset>
</form>
</div>

<?php
}

function grafs_frame_() {
    if (get_option("grafs_frame_0_name")=="") {update_option("grafs_frame_0_name", "Grafs Frame");}
    if (get_option("grafs_frame_0_height")=="") {update_option("grafs_frame_0_height", "2500");}
    add_submenu_page('index.php', get_option("grafs_frame_0_name"), get_option("grafs_frame_0_name"), 10, __FILE__, 'grafs_frame_init');
}

function grafs_frame_admin() {
    add_submenu_page('options-general.php', "Grafs Frame", "Grafs Frame", 10, __FILE__, 'grafs_frame_admin_init');
}

function grafs_frame_footer() {
  if (get_option("grafs_frame_footer_text")!="") {echo get_option("grafs_frame_footer_text");}
}

add_action('admin_menu', 'grafs_frame_');
add_action('admin_menu', 'grafs_frame_admin');
add_action( 'wp_footer', 'grafs_frame_footer', 101 );




?>
